List locations
curl --request GET \
--url https://api.hit-pay.com/v1/locations \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/locations"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9c484458-b2a3-4f49-87ed-ad9ea71b0df3",
"business_id": "8a1f2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
"name": "Main Store",
"street": "123 Main St",
"city": "Singapore",
"state": "Singapore",
"country": "SG",
"postal_code": "123456",
"active": true,
"pickups": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 5,
"per_page": 10,
"from": 1,
"to": 10,
"total": 100,
"last_page": 10,
"path": "<string>",
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
]
}
}{
"message": "<string>",
"errors": "<array>"
}Locations
List Locations
List all locations for the authenticated business with pagination
GET
/
v1
/
locations
List locations
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Query Parameters
Filter by location name (space-separated keywords) or exact UUID
Number of results per page
Required range:
x >= 1Last modified on August 6, 2026
Was this page helpful?
⌘I